<div>
  <v-skeleton-loader
    class="mx-auto mt-10"
    width="100%"
    type="card"
    v-if="isLoading"
  ></v-skeleton-loader>
  <div v-else>
    <div id="updateMeida">
      <div class="flex items-center justify-center w-full">
        <draggable
          v-model="listShowImage"
          group="people"
          @start="drag=true"
          @end="drag=false"
          class="parent"
        >
          <div
            v-for="(item, i) in listShowImage"
            :key="item.image"
            :class="i === 0 ? 'image-main' : 'sub-image'"
            class="cursor-move img-fr-media"
          >
            <img
              :src="convertImage(item.imageUrl || '')"
              alt=""
              draggable="false"
            />
            <v-btn class="delete-icon" @click="onDeleteImg(item._id)">
              <v-icon color="#EF4444">mdi-delete</v-icon>
            </v-btn>
          </div>
          <div class="pa-sm-3 pa-1">
            <button
              @click="openDialogMediaPicker()"
              class="flex h-full flex-col justify-center items-center border-dashed border-2 border-gray-200 w-full"
            >
              <v-icon>mdi-image-plus</v-icon>
              <p class="text-gray-500">Add Image</p>
            </button>
          </div>
        </draggable>
      </div>
      <v-row justify="center">
        <v-dialog
          @click:outside="closeDialogMediaPicker()"
          v-model="dialogMediaPicker"
          max-width="960px"
        >
          <v-card class="pa-0">
            <div class="d-flex align-center justify-space-between py-2 px-4">
              <p class="mb-0 fsize-18 lightContentPrimary">Choose Photo</p>
              <v-btn
                color="#949494"
                @click="closeDialogMediaPicker()"
                icon
                small
              >
                <v-icon color="#949494" size="20"> mdi-close </v-icon>
              </v-btn>
            </div>
            <v-divider></v-divider>
            <div>
              <MediaPicker
                :isShowUploadPhoto="isShowUploadPhoto"
                :limitImage="false"
                :dialogMediaPicker.sync="dialogMediaPicker"
              />
            </div>
            <div
              class="d-flex align-center justify-space-between"
              style="height: 76px"
            ></div>
          </v-card>
        </v-dialog>
      </v-row>
    </div>
  </div>
</div>
